'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = build;

var _shelljs = require('shelljs');

var _compileCss = require('../helper/compileCss');

var _compileCss2 = _interopRequireDefault(_compileCss);

var _getCompiler = require('../helper/getCompiler');

var _getCompiler2 = _interopRequireDefault(_getCompiler);

var _utils = require('../utils');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function build() {
  var compiler = (0, _getCompiler2.default)();

  (0, _shelljs.exec)('rm -rf ' + (0, _utils.resolvePath)('public'));

  return new Promise(function (resolve, reject) {
    compiler.run(function (error) {
      if (error) {
        reject(error);
        return;
      }

      (0, _compileCss2.default)((0, _utils.resolvePath)('public/app.css')).then(function () {
        return resolve();
      }).catch(function () {
        return reject(new Error('Fail to run PostCss'));
      });
    });
  });
}
//# sourceMappingURL=build.js.map