import {
  exec,
} from 'shelljs';

import compileCss from '../helper/compileCss';
import getCompiler from '../helper/getCompiler';

import {
  resolvePath,
} from '../utils';

export default function build() {
  const compiler = getCompiler();

  exec(`rm -rf ${resolvePath('public')}`);

  return new Promise((resolve, reject) => {
    compiler.run(error => {
      if (error) {
        reject(error);
        return;
      }

      compileCss(resolvePath('public/app.css'))
        .then(() => resolve())
        .catch(() => reject(new Error('Fail to run PostCss')));
    });
  });
}
