export const PORT = process.env.PORT || 5000;

export const TEMPLATE_REPO = 'https://github.com/yhjor1212/web-instant-templates.git';

export const PACKAGE_JSON = {
  scripts: {
    lint: 'eslint src',
    build: 'NODE_ENV=production web-instant build',
    start: 'web-instant start',
  },
  license: 'UNLICENSED',
  eslintConfig: {
    extends: 'eslint-config-airbnb',
    parser: 'babel-eslint',
  },
  babel: {
    presets: ['es2015', 'stage-2', 'react', 'react-optimize'],
  },
};

export const DEPENDENCIES = [
  {
    name: 'Web',
    dev: false,
    packages: [
      'web-instant',
    ],
  },
  {
    name: 'Eslint',
    dev: true,
    packages: [
      'eslint',
      'eslint-plugin-import',
      'eslint-config-airbnb',
      'eslint-plugin-react',
      'eslint-plugin-jsx-a11y',
      'babel-eslint',
    ],
  },
];
