import webpack from 'webpack';

import {
  resolvePath,
  findPathThatExist,
  getWebpackConfigByPath,
} from '../utils';

export default function getCompiler() {
  const webpackConfigPath = findPathThatExist(
    resolvePath('webpack.config.js'),
    resolvePath('webpack.config.babel.js')
  );

  if (!webpackConfigPath) {
    return Promise.reject(new Error(`Webpack config ${webpackConfigPath} is not exist`));
  }

  const config = getWebpackConfigByPath(webpackConfigPath);

  return webpack(config);
}
